Bug 329919 - The IMAP resource automatically issues EXPUNGE (but it shouldn't)
Summary: The IMAP resource automatically issues EXPUNGE (but it shouldn't)
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: IMAP resource (show other bugs)
Version: GIT (master)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Mollekopf
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 18:59 UTC by Christian Mollekopf
Modified: 2017-01-07 22:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Mollekopf 2014-01-13 18:59:07 UTC
The imap resource (and kmail) ignore the two-step deletion process of imap (mark as deleted first, expunge later). While it is not a big issue for a single client, it can result in unexpected deletions with, if you e.g. rely on the two-step deletion in a mail application on your mobile (e.g. k-9) while Akonadi is running on a separate machine.
Akonadi could issue an EXPUNGE while you are marking mails as deleted on your mobile, permanently deleting the messages.

The imap resource should avoid using EXPUNGE automatically and offer an option to do it manually.

There is already an option in the config to auto-"compact" messages, but I'm not sure what it does. AFAIK EXPUNGE is used by default.

Reproducible: Always
Comment 1 Denis Kurz 2016-09-24 20:36:04 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 22:14:02 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.